Delete a custom role
<Info icon="fa-light fa-lock" className="permission-callout">
<div className="permission-callout__header"><span className="permission-callout__title"><span className="permission-callout__label">Required permissions</span> <span className="fern-docs-badge small blue subtle rounded-full permission-callout__beta">Beta</span></span> <span className="permission-callout__learn-more">[Learn more](/developers/api-guidelines/permissions#how-permissions-work)</span></div>
`Organisation.Role` + `Delete`
<div className="permission-callout__roles"><span className="permission-callout__roles-label">Roles:</span> <Badge intent="info">Administrator</Badge></div>
</Info>
Deletes a custom role.
The request fails if the role is a system role, or if any users are still assigned to it.
Use `my` in place of a numeric `orgId` to target the caller's own Workspace.
Authentication
AuthorizationBearer
An auth_token should be provided to authenticate a session.
To obtain an auth_token, see the /api/v1/authenticate POST request.
Path parameters
roleId
Numeric identifier of the role.
orgId
Workspace identifier.
Either a positive integer organization ID, or the literal string my to target the caller’s own Workspace.
Response
Role deleted.
Errors
404
Not Found Error
422
Unprocessable Entity Error